Package com.plannaplan.types

# Enum GroupType

java.lang.Object
java.lang.Enum<GroupType>
com.plannaplan.types.GroupType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<GroupType>`, `java.lang.constant.Constable`

    public enum GroupType
    extends java.lang.Enum<GroupType>

GroupType contains types: LECTURE, CLASS, LAB, SEMINAR, CONSERVATORY, PRATICE

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`CLASS` |
`CONSERVATORY` |
`LAB` |
`LECTURE` |
`PRATICE` |
`SEMINAR` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.lang.String` | `type` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static GroupType` | `getType​(java.lang.String type)` |
`static GroupType` | `isLectureOrClass​(GroupType type)` |
`static GroupType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static GroupType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LECTURE

public static final GroupType LECTURE

### CLASS

public static final GroupType CLASS

### LAB

public static final GroupType LAB

### SEMINAR

public static final GroupType SEMINAR

### CONSERVATORY

public static final GroupType CONSERVATORY

### PRATICE

public static final GroupType PRATICE

## Field Details

### type

public final java.lang.String type

## Method Details

### values

public static GroupType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static GroupType valueOf​(java.lang.String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

### getType

public static final GroupType getType​(java.lang.String type)

Parameters:
  `type` - as string
Returns:
  Enum converted from provided string

### isLectureOrClass

public static final GroupType isLectureOrClass​(GroupType type)

Parameters:
  `type` - group type to check
Returns:
  general convertion to bring down tours to two generals LECTURE and CLASS. To class are included: CLASS, LAB, SEMINAR, CONSERVATORY, PRATICE.